ECalBackendFactory
3
LIBEDATA-CAL Library

# ECalBackendFactory

Factory for creating backends.

## Synopsis

                        ECalBackendFactory;
    icalcomponent_kind  e_cal_backend_factory_get_kind      (ECalBackendFactory *factory);
    const char*         e_cal_backend_factory_get_protocol  (ECalBackendFactory *factory);
    ECalBackend*        e_cal_backend_factory_new_backend   (ECalBackendFactory *factory,
                                                             ESource *source);

## Object Hierarchy

      GObject
       +----ECalBackendFactory

## Description

## Details

### ECalBackendFactory

    typedef struct _ECalBackendFactory ECalBackendFactory;

### e_cal_backend_factory_get_kind ()

    icalcomponent_kind  e_cal_backend_factory_get_kind      (ECalBackendFactory *factory);

`factory` :

Returns :

### e_cal_backend_factory_get_protocol ()

    const char*         e_cal_backend_factory_get_protocol  (ECalBackendFactory *factory);

`factory` :

Returns :

### e_cal_backend_factory_new_backend ()

    ECalBackend*        e_cal_backend_factory_new_backend   (ECalBackendFactory *factory,
                                                             ESource *source);

`factory` :

`source` :

Returns :